TokyoTyrantTable::get
TokyoTyrantTable::getQuery
TokyoTyrantTable
PHP Manual

# TokyoTyrantTable::getIterator

(No version information available, might only be in SVN)

TokyoTyrantTable::getIterator — Get an iterator

### Description

public TokyoTyrantIterator TokyoTyrantTable::getIterator ( void )

Gets an iterator for iterating all keys / values in the database.

### Parameters

This function has no parameters.

### Return Values

This method returns TokyoTyrantIterator object and throws TokyoTyrantException on failure.

### Examples

Example #1 TokyoTyrantTable::getIterator example

`<?php
$tt = new TokyoTyrantTable("localhost");
$it = $tt->getIterator();
foreach ($it as $k => $v) {
var_dump($k, $v);
}
?>`

### See Also

- TokyoTyrantTable::getQuery - Get a query object
- TokyoTyrant::getIterator - Get an iterator

TokyoTyrantTable::get
TokyoTyrantTable::getQuery
TokyoTyrantTable
PHP Manual